## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname types-cryptography
%global modname types_cryptography

Name:           python-%{srcname}
Version:        3.3.23
Release:        %autorelease
Summary:        Typing stubs for cryptography
License:        ASL 2.0
URL:            https://github.com/python/typeshed
Source0:        %{pypi_source %{srcname}}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel

%global _description %{expand:
This is a PEP 561 type stub package for the cryptography package. It can be used
by type-checking tools like mypy, PyCharm, pytype etc. to check code that uses
cryptography. The source for this package can be found at
https://github.com/python/typeshed/tree/master/stubs/cryptography. All fixes for
types and metadata should be contributed there.

See https://github.com/python/typeshed/blob/master/README.md for more details.}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install


%if 0%{?fedora}
%check
%py3_check_import cryptography-stubs
%endif


%files -n  python%{python3_pkgversion}-%{srcname}
%doc CHANGELOG.md
%{python3_sitelib}/cryptography-stubs
%{python3_sitelib}/%{modname}-%{version}.dist-info/


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.3.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 18 2022 Kevin Fenzi <kevin@scrye.com> 3.3.23-1
- Update to 3.3.23.

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.3.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 3.3.9-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 14 2021 Michel Alexandre Salim <salimma@fedoraproject.org> 3.3.9-2
- Remove unnecessary setuptools BR Only do smoke tests on Fedora, as the
  module name contains dashes

* Fri Dec 10 2021 Michel Alexandre Salim <salimma@fedoraproject.org> 3.3.9-1
- Initial Fedora package
